blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
5846be66cad59f7be841d27ddf7188d8b72bc9e2 | Shell | hmontero1205/pygrader | /gen_assignment.sh | UTF-8 | 601 | 4.09375 | 4 | [] | permissive | #!/bin/bash
if [ "$#" -lt 1 ]; then
echo "Usage: $0 <assignment name> [org/repo to clone on setup]" >&2
exit 1
fi
cd "$(dirname "$0")"
ASS="$(echo "$1" | tr '[:upper:]' '[:lower:]')"
if [ -d "$ASS" ]; then
read -p "Overwrite '$ASS'? [y/N]: " RESP
if [ "$RESP" == y ] || [ "$RESP" == Y ]; then
rm -rf "$ASS"
els... | true |
204a3e8c4234ba53d0156e22b49a27992e395802 | Shell | fragsalat/stups2go | /agent/tools/run-with-postgres | UTF-8 | 1,808 | 4.34375 | 4 | [
"LicenseRef-scancode-warranty-disclaimer",
"Apache-2.0"
] | permissive | #!/bin/sh
TOOLS_DIR=$(dirname $0)
if [ $# -lt 5 ]; then
echo "Usage: $0 <postgres-version> <dbname> <docker-image> [<docker-opts>] -- <command>" >&2
exit 1
fi
DOCKER_IMAGE=$3
DB_VERSION=$1
DB_NAME=$2
DB_HOST=test-postgres
DB_PORT=5432
DB_SUBNAME="//$DB_HOST:$DB_PORT/$DB_NAME"
DB_USER=postgres
DB_PASSWORD=... | true |
16cfdac9a303b37ac2a0915e179916a3c52f107c | Shell | yswallow/wbsv-cli | /upversion.sh | UTF-8 | 851 | 3.359375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
echo "?=>(y|RETURN KEY)"
echo -n "plz version: "
read -r v
echo "new version: ${v}"
echo -n "update files ok?:"
read -r f
if [[ "${f}" -eq 'y' ]]; then
for i in README.md setup.py wbsv/*py; do
sed -i -r "s_[0-9]+\.[0-9]+\.[0-9]+_${v}_g" "${i}"
done
fi
echo -n "rm build dist wbsv.egg-info ok?:"
read -... | true |
966ce74a5e3c8168d23f256a19d5c5892917352f | Shell | oloomi/prom | /evaluation/get-data.sh | UTF-8 | 2,611 | 2.859375 | 3 | [] | no_license | #!/bin/bash
make_exp_dir() {
mkdir -p $1/genome-mutated $1/mappings/bowtie $1/mappings/bwa $1/reads $1/results $1/variants
}
create_dir() {
mkdir $1
cd $1
mkdir -p genome-ref/repeats simulated-data/begin-supermax simulated-data/middle-supermax real-data/back-mutate
make_exp_dir simulated-data/begin-supermax... | true |
be14374d5c73cac8cfde17a3868125687ce578ba | Shell | 115606666/install-imx | /imxy18.sh | UTF-8 | 1,235 | 3.09375 | 3 | [] | no_license | #!/bin/sh
if [ "$#" -ne 2 ]; then
echo "$0 email name"
exit
fi
echo 0=$0
echo 1=$1
echo 2=$2
sudo apt-get update && \
sudo apt-get -y dist-upgrade && \
sudo apt-get -y install gawk wget git-core diffstat unzip texinfo \
gcc-multilib build-essential chrpath socat libsdl1.2-dev \
libsdl1.2-dev ... | true |
3f40dc0578f3ef9a80e1a60420611a4aad92673f | Shell | viniciustbitencourt/rundeck | /maintenance/checklogstash.sh | UTF-8 | 216 | 3.15625 | 3 | [] | no_license | #!/bin/bash
status=`systemctl status logstash.service | awk 'NR==3' | awk '{print $2}'`
if [ $status == "active" ]; then
echo "OK"
exit 0
else
echo "Logstash indisponivel"
exit 1
fi
| true |
82c3a814245a940946779b809203c1c494da646e | Shell | agimus/agimus-demos | /ur10/docker/set_env_for_ur10 | UTF-8 | 342 | 2.546875 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
export HPP_HOST=192.168.56.1
export ROS_IP=$HPP_HOST
export UR10_IP=`echo $HPP_HOST | sed 's/[0-9]\+$/1/'`
export ROS_MASTER_URI="http://$UR10_IP:11311"
#Solve the error on Gazebo: "Exception sending a message"
export IGN_IP=127.0.0.1
echo "HPP_HOST=$HPP_HOST"
echo "UR10_IP=$UR10_IP"
echo "ROS_MASTER... | true |
9388105764fb60be93c3fa92a1b0d8b0c747f5b4 | Shell | KaOSx/main | /chromaprint/PKGBUILD | UTF-8 | 753 | 2.734375 | 3 | [] | no_license |
pkgname=chromaprint
pkgver=1.5.1
_commit=aa67c95b9e486884a6d3ee8b0c91207d8c2b0551
pkgrel=2
pkgdesc='Client-side library that implements a custom algorithm for extracting fingerprints from any audio source'
url='https://github.com/acoustid/chromaprint/'
arch=('x86_64')
license=('LGPL')
depends=('ffmpeg')
makedepends=('... | true |
9798d11a719c8fc69dd89fd683c6d06ed3a0a1f4 | Shell | MinaProtocol/mina | /scripts/ocamlmerlin | UTF-8 | 195 | 2.546875 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# Created at http://ellenandpaulsnewstartup.com - we're hiring!
script=$(basename $0)
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
$DIR/run-in-docker "$script" ${@} <&0
| true |
8650af3a03e7aa5469b75df7ddf71992bfb099f4 | Shell | mrirecon/ring | /Fig2/run.sh | UTF-8 | 3,826 | 2.6875 | 3 | [] | no_license | #!/bin/bash
set -e
if [ ! -e $TOOLBOX_PATH/bart ] ; then
echo "\$TOOLBOX_PATH is not set correctly!" >&2
exit 1
fi
export PATH=$TOOLBOX_PATH:$PATH
export BART_COMPAT_VERSION="v0.4.00"
#--- Double Angle Sx != Sy != Sxy ---
RO=128
GD=0.3:-0.1:0.2
#
touch DA_Sx_Sy_Sxy_RING.txt
touch DA_Sx_Sy_Sxy_ACadaptive.txt
for (( ... | true |
4c27a54487de7de2eef8f389bd62a60533f2ba62 | Shell | yuhuachang/yuhuachang.github.io | /scripts/create-database.sh | UTF-8 | 245 | 3.203125 | 3 | [] | no_license | #!/bin/bash
DB_DATABASE=$1
if [ "$DB_DATABASE" == "" ]; then
echo "usage $0 <databbase>"
exit
fi
sudo su - postgres -c "dropdb $DB_DATABASE" 2>/dev/null
sudo su - postgres -c "createdb $DB_DATABASE"
sudo su - postgres -c "psql --list" | true |
fcb6090b0af0411feb7bc6f5b50fd9eaf81443ab | Shell | jackzampolin/btcd-ops | /btcd.sh | UTF-8 | 342 | 3.28125 | 3 | [] | no_license | #!/bin/bash
DIR="$HOME/.btcd"
if [ "$1" == "start" ]; then
$HOME/go/bin/btcd 1>> "$DIR/btcd_stdout.log" 2>> "$DIR/btcd_stderr.log" & echo $! > "$DIR/btcd.pid"
elif [ "$1" == "stop" ]; then
kill -SIGINT $(cat "$DIR/btcd.pid")
elif [ "$1" == "logs" ]; then
tail -f "$DIR/btcd_stdout.log"
else
echo "btcd {{ start... | true |
a87e46ebf1af1cb1e3dec35feffb88fdc5bdeaaa | Shell | boris-chernysh/dotfiles | /i3/scripts/screens.sh | UTF-8 | 263 | 3.359375 | 3 | [] | no_license | #!/bin/bash
SCREENS_COUNT=$(xrandr | grep ' connected' -c)
DIR=$(dirname "${BASH_SOURCE[0]}")
echo $DIR > /tmp/screenslog
case "$SCREENS_COUNT" in
3) bash "$DIR/screenlayout/3.sh";;
2) bash "$DIR/screenlayout/2.sh";;
*) bash "$DIR/screenlayout/1.sh";;
esac
| true |
33df2388b42c25c940ef6304546659666ad47b08 | Shell | petronny/aur3-mirror | /hooktftp-git/PKGBUILD | UTF-8 | 868 | 2.78125 | 3 | [] | no_license | # Maintainer: Josh Cartwright <joshc@eso.teric.us>
pkgname=hooktftp-git
pkgver=0.10.0.r28.g8bba8e8
pkgrel=1
pkgdesc="Hook based tftp server"
arch=('x86_64' 'i686')
url="https://github.com/epeli/hooktftp"
license=('MIT')
makedepends=('go' 'bzr')
source=('git://github.com/epeli/hooktftp.git')
md5sums=('SKIP')
pkgver() ... | true |
892d9839d0e7ca1b459f6a6c511bda5258ee5187 | Shell | poojagaikwad1358/Day14_UserRegistration | /userRegistration.sh | UTF-8 | 2,083 | 3.78125 | 4 | [] | no_license | #!/bin/bash -x
#Use Case 1- As a User need to enter a valid First Name.
echo "Welcome to User Registration"
echo "Enter User First Name :"
read firstName;
namepattern="^[A-Z][a-z]{3,}$"
if [[ $firstName =~ $namepattern ]]
then
echo "Valid"
else
echo "Invalid"
fi
#UseCase2- As a User need to enter a valid last... | true |
0f1b1ab119fc76b02926518a4c7a3235a13aa967 | Shell | wrtcoder/BPI-files | /others/bpi-service/var/lib/bananapi/bpi-init.d/S03-bpi-sw-gpu.sh | UTF-8 | 548 | 3.375 | 3 | [] | no_license | #!/bin/bash
BOARD=$(bpi-hw)
XSGXFILE="/usr/share/lightdm/lightdm.conf.d/55-xserver-command-pvr.conf"
XSGXBAK="/usr/share/lightdm/lightdm.conf.d/.55-xserver-command-pvr.conf"
setup_xsgx_xserver()
{
if [ -f "/usr/local/XSGX/bin/X" ] ; then
if [ ! -f "$XSGXFILE" ] ; then
cp -a $XSGXBAK $XSGXFILE
fi
fi
... | true |
4867918934f0b7c6fb8ae8ac75df6b6d9ea317fb | Shell | alekye/AYConfiguration | /run.sh | UTF-8 | 371 | 3.328125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# auto pull the configure file
BASE_URL=https://raw.githubusercontent.com/alekye/AYConfiguration/master
DISABLE_CACHE="?v=$(date +%s)"
function echo_green() {
echo "\033[32m$1\033[0m"
}
# .vimrc
VIMRC_FILE=${BASE_URL}/vimrc${DISABLE_CACHE}
echo "Download .vimrc to ~/.vimrc from ${VIMRC_FILE}"
curl -o ~/.v... | true |
79f2106666a8d0e0e1b65c6e0c4862e62b2b5304 | Shell | Zriakhov/petclinic | /jenkins_file/VM2_start.sh | UTF-8 | 422 | 3.046875 | 3 | [
"LicenseRef-scancode-generic-cla",
"Apache-2.0"
] | permissive | #!/bin/bash
a=$(sudo docker ps | grep petclinic | cut -d' ' -f 1)
echo "ID container="$a
if [ -n "${a}" ]; then
echo "Conteiner runing"
docker-compose -f docker-compose_petclinic.yml stop
docker-compose -f docker-compose_petclinic.yml rm -f
else
echo "Conteiner don't run"
fi
docker rmi 10.23.27.6:443/petclini... | true |
20bb642f4c20a9cdea7bd9e37b78578131447db6 | Shell | NoahRJohnson/MapReduce-Basic-Statistics | /q2_TwoPass.sh | UTF-8 | 394 | 2.625 | 3 | [] | no_license | #!/usr/bin/env bash
# The output of TwoPass_Mean.py is 'key mean'
tmp=$(python electricityVariance_TwoPass_Mean.py Example\ Data/Electricity.csv)
# extract the mean
mean=$(echo $tmp | cut -d' ' -f2)
# Pass the mean as a parameter to the reducers in TwoPass_Variance.py
python electricityVariance_TwoPass_Variance.py E... | true |
3163d71584aecac9558780649482f8eebc49cdf1 | Shell | azimut/dotfiles | /homedir/bin/piano.sh | UTF-8 | 715 | 2.921875 | 3 | [] | no_license | #!/bin/bash
SESSION='piano'
SF='/usr/local/share/samples/sf_GMbank.sf2'
OPTS=()
# OPTS=(-R yes)
if ! aconnect -i | grep "client 20: 'CH345'"; then
echo "Midi cable not connected?"
exit 1
fi
if tmux has -t "${SESSION}"; then
echo "attaching session...${SESSION}"
if [[ -z $TMUX ]]; then
tmux attach -t "${SESSION... | true |
7b3477161b42ad2f7d562b3289ac27e02a5a4512 | Shell | pigfly/pigfly.github.io | /script/cibuild.sh | UTF-8 | 592 | 3.53125 | 4 | [
"Apache-2.0",
"CC-BY-4.0"
] | permissive | #!/bin/bash
# skip if build is triggered by pull request
if [ $TRAVIS_PULL_REQUEST == "true" ]; then
echo "this is PR, exiting"
exit 0
fi
# enable error reporting to the console
set -e
# cleanup "_site"
rm -rf _site
mkdir _site
# clone remote repo to "_site"
git clone https://${GH_TOKEN}@github.com/pigfly/pigfl... | true |
92d06a7d0dade5e6b32402cc66603a93f3fe4eb8 | Shell | abhirupray14/Shell_Programs | /CheckEven.sh | UTF-8 | 158 | 3.4375 | 3 | [] | no_license | echo “Enter any value for n:”
read n
a=`expr $n % 2`
if [ $a -eq 0 ]
then
echo Given number $n is even
else
echo Given number $n is odd
fi | true |
f1b541eeca89bee4d5ab1f18a2cde5ac501c499b | Shell | delkyd/alfheim_linux-PKGBUILDS | /sentaku/PKGBUILD | UTF-8 | 574 | 2.640625 | 3 | [] | no_license | # Maintainer: Kyle MacLeod <aur.kmac5@recursor.net>
pkgname=sentaku
pkgver=0.5.5
pkgrel=1
pkgdesc="Utilily to make sentaku (selection) window with shell command."
arch=('any')
url="https://github.com/rcmdnk/sentaku"
license=('MIT')
depends=()
source=("https://github.com/rcmdnk/sentaku/archive/v${pkgver}.zip")
md5sums=(... | true |
6dbb8b1b1efebc0da6870cdb713fa6664ba9a9ab | Shell | ozgurgul/hcp-demo-env-aws-terraform | /bin/experimental/minio_wait_for_mlflow_configured_state.sh | UTF-8 | 1,264 | 3.734375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
exec > >(tee -i generated/log-$(basename $0).txt)
exec 2>&1
set -e
if [[ -z $1 || -z $2 ]]; then
echo Usage: $0 TENANT_ID MLFLOW_KD_CLUSTERNAME
exit 1
fi
set -u
echo "Running script: $0 $@"
./scripts/check_prerequisites.sh
source ./scripts/variables.sh
export TENANT_ID=$1
export MLFLOW_CLUSTER_N... | true |
719042ad51551471d66eabe1edbe0764b2a9785a | Shell | ordanax/archlinux-kde--script-install-uefi-nogrub-and-grub-install | /kde.sh | UTF-8 | 31,384 | 3.1875 | 3 | [] | no_license |
#!/bin/bash
echo 'скрипт второй настройка системы в chroot '
timedatectl set-ntp true
pacman -Syyu --noconfirm
read -p "Введите имя компьютера: " hostname
read -p "Введите имя пользователя: " username
echo 'Прописываем имя компьютера'
echo $hostname > /etc/hostname
echo ""
echo " Очистим папку конфигов, кеш, и скры... | true |
013e48f07b735e1c7c3c0621d0559a0e823f26d3 | Shell | crazy-matt/antigen | /src/helpers/interactive-mode.zsh | UTF-8 | 524 | 3.46875 | 3 | [
"MIT"
] | permissive | # This function check ZSH_EVAL_CONTEXT to determine if running in interactive shell.
#
# Usage
# -antigen-interactive-mode
#
# Returns
# Either true or false depending if we are running in interactive mode
-antigen-interactive-mode () {
WARN "-antigen-interactive-mode: $ZSH_EVAL_CONTEXT \$_ANTIGEN_INTERACTIVE = ... | true |
0ebee4534cfa83ff7e285ef59da751abe2df1da4 | Shell | bkrauzova/scripts | /copy_im.sh | UTF-8 | 737 | 4.125 | 4 | [] | no_license | #!/bin/sh
set -e -x
###################################################
# copy images from several subfolder to one folder
###################################################
usage ()
{
echo "use:"
echo "./copy_im <src> <dest>"
echo ""
exit 1
}
if [ -z $2 ]; then
usage
fi
SRC=`pwd`/$1
DES=`pwd`/$... | true |
d6301faf0adb1860731b8341a185cd0095692951 | Shell | dennis-tmeinc/dvr | /dvr602/deploy/MDVR5100/host/dvr/tab102.sh | UTF-8 | 4,292 | 3.28125 | 3 | [] | no_license | #!/bin/sh
PATH=/bin:/davinci:/davinci/dvr
export PATH
remove_usbdrivers()
{
[ -f /var/dvr/udhcpc.pid ] && kill `cat /var/dvr/udhcpc.pid`
ifconfig rausb0 down
/bin/rmmod rt73
/bin/rmmod mos7840
/bin/rmmod usbserial
}
# let tab102(live) finish its job
if [ -f /var/dvr/tab102live -a -f /var/dvr/tab102.pid ]; ... | true |
154c14a7c96f9133037ff1b0f951d76b67e85bd3 | Shell | Cloudxtreme/dropboxfs | /test.sh | UTF-8 | 1,967 | 3.75 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# To run this, make sure you have dropboxfs already running.
MOUNTPOINT=test
echo "Runnning tests"
cd $MOUNTPOINT
function Run_Test() {
NAME=$1
EXPECTED=$2
shift
shift
COMMAND=$@
DIFF=$(diff <(echo $EXPECTED) <(echo $COMMAND))
if [ -z "$DIFF" ]; then
echo "PASSED $N... | true |
25fbe945082948f40697ba71c799919aeb088b03 | Shell | bergquist/dotfiles | /.bash_profile | UTF-8 | 1,707 | 3.109375 | 3 | [] | no_license | #!/usr/bin/env bash
DOTFILES=~/.dotfiles
export EDITOR="/usr/bin/vim"
export GIT_EDITOR='/usr/bin/vim'
unset MAILCHECK # Don't check mail when opening terminal.
alias reload='source ~/.bash_profile'
source "${DOTFILES}/prompt/colors.theme.bash"
source "${DOTFILES}/prompt/base.theme.bash"
source "${DOTFILES}/prompt... | true |
f775092f8dbf88ce321a1b8e9c416c57fbf1565f | Shell | fridolin1995/FORGEON_X | /samba_all_version/sync_sbin_bin.sh | UTF-8 | 124 | 2.640625 | 3 | [] | no_license | #!/bin/bash
for each in $(find $(pwd) -type d -name sbin);
do
echo cp $each/* $(echo $each|sed 's/sbin/bin/g');
done
| true |
e31c8bd5da46cbf1a4903d7401d4f145a8932f13 | Shell | epam/fonda | /src/integrationTest/resources/templates/dnaAmpliconVarFastq/testPairedXenomeYesSeqpurgeNovoalign/DnaAmpliconVar_Fastq_alignment_for_GA5_1_analysis.txt | UTF-8 | 3,735 | 3 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -x
# --- SGE options --- #
#$ -V
#$ -wd build/resources/integrationTest/output
#$ -N DnaAmpliconVar_Fastq_alignment_for_GA5_1_analysis
#$ -o build/resources/integrationTest/output/log_files/DnaAmpliconVar_Fastq_alignment_for_GA5_1_analysis.log
#$ -e build/resources/integrationTest/output/err_files/DnaAmpl... | true |
fd1d917f9ce68d28a099aafe39b0e21330ecb950 | Shell | wangke0809/sgx-ra-tls | /build.sh | UTF-8 | 5,804 | 3.453125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -x
function usage() {
echo "./build.sh sgxsdk|graphene|scone|sgxlkl"
}
# You need the SGX SDK and PSW installed.
if [[ $# -gt 1 || $# -eq 0 ]]; then
echo "wrong number of arguments"
usage
exit 1
fi
[[ $# -eq 1 ]] && VARIANT=$1
if [[ ! ( $VARIANT == "scone" ||
$VARIA... | true |
d7be9a23071e5f5af52e5852d4a51cbee330e755 | Shell | vklyukin/team3_testing_system | /auto_bootstrap.sh | UTF-8 | 2,905 | 3.390625 | 3 | [] | no_license | #!/usr/bin/env sh
superuser_name=$(whiptail --title "Create superuser" --inputbox "Input superuser name" 10 60 3>&1 1>&2 2>&3)
[ $? -ne 0 ] || [ -z "$superuser_name" ] && echo "Operation aborted by user" && return 1
superuser_mail=$(whiptail --title "Create superuser" --inputbox "Input superuser mail" 10 60 3>&1 1>&2... | true |
7182b18b131783cdd087ad5819f98fe119b30935 | Shell | pappagari/config_files | /bash_rc | UTF-8 | 3,545 | 3.421875 | 3 | [] | no_license |
# set a fancy prompt (non-color, unless we know we "want" color)
case "$TERM" in
xterm-color)
PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[0... | true |
3f27cf9eb45ffb3da92d71fdf97154fb266cfa03 | Shell | catursawah/anr8-6-21 | /rvet.sh | UTF-8 | 1,315 | 2.765625 | 3 | [] | no_license | #!bin/bash -xe
iip=$(curl https://ipecho.net/plain)
IPNAME=$(sed 's|\.|o|g' <<< $iip)
nvidia-smi
curl ipinfo.io
# Version 1.2.3
# wget https://github.com/RavenCommunity/kawpowminer/releases/download/1.2.3/kawpowminer-ubuntu18-1.2.3.zip
# unzip kawpowminer-ubuntu18-1.2.3.zip
# version1.2.2
wget https://github.com/one10... | true |
bfdaa6e90cef1d5a0a79e96e57cb458ce6ee86be | Shell | teddy/dotfiles | /scripts/rofi/rofitorrent | UTF-8 | 393 | 3.453125 | 3 | [] | no_license | #!/bin/bash
#
# Menu for transmission daemon commands
#
main()
{
local choice="$(rofiprompt --text "Choose an option" \
--options "Start,Stop")"
if [[ "${choice}" = "Start" ]]; then
transmission --start
elif [[ "${choice}" = "Stop" ]]; then
transmission --stop
fi
... | true |
c961153eddac942a3519e61c5254d29f9cb22f9d | Shell | UMich-Mind-Lab/pipeline-task-standard | /bin/get_valid_subs.sh | UTF-8 | 1,780 | 3.484375 | 3 | [] | no_license | #!/bin/bash
#read in entries from the sm_config file
task=$(cat config/sm_config.json | jq -r ".task[]")
ses=$(cat config/sm_config.json | jq -r ".ses[]")
acq=$(cat config/sm_config.json | jq -r ".acq[]")
run=$(cat config/sm_config.json | jq -r ".run[]")
bidsDir=$(cat config/sm_config.json | jq -r ".bids_dir")
#initi... | true |
290ba86aa1b592555f80e99813327ffc75d59af4 | Shell | danX-4q/docker-safe | /safecode-env-test/sc-et_u16/docker-fs-root/home/sc-test/script/service/clean-nodeos-data.sh | UTF-8 | 392 | 3.03125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
zpath=$(cd `dirname $0`; pwd)
cd $zpath > /dev/null
##############################
#usage:
# $1: node name, which will be used to get node config
# at dir ../node/$1/eosio.conf(or eosio.env)
set -x
NM=${1-"a"}
N_C_DIR="../node/${NM}/"
cd $N_C_DIR
. eosio.conf
cd -
#########################... | true |
974e0f7c0a9f29f3415076120419eaabdee5b88d | Shell | RetroCraft/project-euler | /scripts/run-cpp.zsh | UTF-8 | 220 | 2.65625 | 3 | [] | no_license | #!/bin/zsh
count=`find . -name "Problem???.cpp" | wc -l`
echo "PROJECT EULER: Problem $1 (of $count)"
echo "====================================="
g++ src/c++/Problem$1.cpp -o bin/Problem$1 -std=gnu++17
./bin/Problem$1
| true |
e5575b410dcbbce92bf88dbc7590f9435ec3fcdb | Shell | meom-configurations/eORCA12.L75-GJM2020 | /RUN_eORCA12.L75/eORCA12.L75-MJM2020/CTL/dcmtjk_mkmdjournal | UTF-8 | 6,115 | 3.765625 | 4 | [] | no_license | #!/bin/bash
# This script is used to produce a template for the Journal of a run, written
# in markdown language, that fits with github repositories.
# It must be run where the nemoxx.oxxx files ares saved.
# class = @Run management tools@
usage() {
echo
echo "USAGE: $(basename $0 ) [-h ] [-f ] [-c confca... | true |
3e86f8c393814af59dc1750f1535aa642fd1cda7 | Shell | erdenayates/bash-scripting-examples | /for.sh | UTF-8 | 84 | 2.609375 | 3 | [] | no_license | #! /bin/bash
for x in 1 2 3 4 #that can be {1..4..1} also.
do
echo $SHELL
done
| true |
562b36a125c57998b939d7708d3e9e9611058a96 | Shell | metmirr/shell-examples | /24-trap.sh | UTF-8 | 681 | 3.53125 | 4 | [] | no_license | echo "
#############################################
## Example 24.1: #
## trap signals that run on EXIT and Ctrl+C #
#############################################
"
trap "echo we\'re exiting the script!" EXIT
trap "echo you pressed Ctrl+C" INT
echo 'press Ctrl+C here to see the INT signal... | true |
5383100794b33b3081fdb58d555bda1214924dcd | Shell | Bhaskarsjb/cookbooks | /postgresql_test/files/default/postgresql_archiving.sh | UTF-8 | 4,504 | 3.65625 | 4 | [] | no_license | #!/bin/sh
#! /bin/bash
#set -x
#SCRIPT SHOULD BE RUN AS ROOT USER.
sudo clear
if [[ $# -lt 5 ]] ; then
echo " Usage: $0 #1 #2 #3 #4 #5 "
echo " wal_level : $1 "
echo " max_wal_size : $2 "
echo " wal_keep_s... | true |
cd3adba12c907792f3acdc76b6302ef54ac944f3 | Shell | schadow1/osmphgps | /build/build_script.sh | UTF-8 | 3,118 | 3.09375 | 3 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #! /bin/sh -x
############################################################################
#
# MODULE: osmphgarmin map build script
#
# AUTHOR(S): Ervin Malicdem schadow1@s1expeditions.com
# Emmanuel Sambale esambale@yahoo.com emmanuel.sambale@gmail.com
#
# PURPOSE: Shell script for creatin... | true |
07ae8cbf9b1591a18d09b15fd3d23779700cb378 | Shell | hoangtran/dotfiles | /bin/sshot | UTF-8 | 486 | 4 | 4 | [] | no_license | #!/bin/bash
#
# a general scrot wrapper script
#
###
message() { echo 'usage: sshot [ -n <name> ] [ -f ] [ scrot options ]'; exit 1; }
shots_dir='~/pictures/screenshots'
name="desktop_$(date +%y%m%d%H%M)"
# grab some options for us, pass anything
# else directly to scrot
while [ -n "$1" ]; do
case $1 in
-h|--h... | true |
88ef977e2a3a114491308c46e5cdb318e9bdf234 | Shell | upsales/upsales-node-integration-template | /setup.sh | UTF-8 | 887 | 3.625 | 4 | [
"MIT"
] | permissive | read -p "Name of integration: " name
echo "Copying files"
cd ..
cp -r upsales-node-integration-template $name
cd $name
sed -i "" "s/upsales-node-integration-template/$name/g" package.json
echo "# $name
_Short description what the integration does_
## Where is it?
_Where is it running_
_What endpoint does it listen to... | true |
f9115ec9223d0c20c0640667b3ff267941509a5a | Shell | wenusch/casinocoin-webhook-server | /entrypoint | UTF-8 | 289 | 2.734375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
cd /usr/src/app
if [[ ! -e /installed ]]; then
touch /installed
echo "Not installed yet, run init scripts"
echo "Database (ecto) create & migrate"
mix ecto.create && mix ecto.migrate
echo "Run tests"
mix test
fi
exec mix phx.server "$@"
| true |
fffb342b6690fa3451a9d939669560f75aaf2978 | Shell | reetp/rocket-chat-rest-client | /curlTest.sh | UTF-8 | 665 | 2.875 | 3 | [] | no_license | #!/bin/bash
MSG="${1:-test msg}"
CHANNEL="${2:-test-readonly}"
USERNAME="user_b"
PASSWORD="password"
SERVER="https://testrocket"
USERID="userid_of_user_b"
# GET authToken
AUTHTOKEN="$(curl -s ${SERVER}/api/v1/login -d "username=${USERNAME}&password=${PASSWORD}" | grep "authToken" | cut -d"\"" -f4)"
# post message
c... | true |
6032b86d6a29492b86c2acbc903f2841368a48b0 | Shell | RasppleII/rasppleii-history | /website_2015-10/a2cloud/setup/a2chat.txt | UTF-8 | 1,256 | 3.75 | 4 | [] | no_license | #!/bin/bash
if [[ ! $(dpkg -l irssi 2> /dev/null | grep '^ii') ]]; then
echo "Installing irssi..."
supo apt-get -y update
sudo apt-get -y install irssi &> /dev/null
sudo apt-get -y clean
fi
if [[ $1 == "-n" && $2 ]]; then
nickname=$2
elif [[ $1 == "-n" ]]; then
nickname="0"
elif [[ -f ... | true |
fbf78532fa26e1f8c4e918ecd82ada914d252c6c | Shell | hdc1112/misc-program | /java/Eclipse-workspace/MR-2Phase-FPGrowth/cluster-scripts/cluster-runscript/cli-version/data.sh | UTF-8 | 1,518 | 3.609375 | 4 | [] | no_license | #!/usr/bin/env bash
# default value stage
folder= #f
noupload= #n
worknode=ibmvm1 #w
user=dachuan #u
# definition, parsing, interrogation stages
while getopts ":f:w:u:n" o; do
case $o in
f)
folder=$OPTARG
;;
w)
worknode=$OPTARG
;;
u)
user=$OPTARG
;;
n)
nou... | true |
801a8349ee83dae6d021604412dbd3831bb59a24 | Shell | jackylk/public | /apps/mlr/scripts/run_mlr.sh | UTF-8 | 3,372 | 3.0625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
# Covtype
train_file="covtype.scale.train.small"
test_file="covtype.scale.test.small"
train_file_path=$(readlink -f datasets/$train_file)
test_file_path=$(readlink -f datasets/$test_file)
global_data=true
perform_test=true
# Init weights
use_weight_file=false
weight_file=
# Data parameters:
num_t... | true |
2f766b1f1046a97c7b7c1d42a7776694e2c93a19 | Shell | patrick330602/minimal-wsl2-systemd-script | /install.sh | UTF-8 | 2,260 | 3 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ "$EUID" -ne 0 ]
then echo "Please run as root"
exit
fi
tmp_dir=$(mktemp -d)
cd $tmp_dir
git clone https://github.com/diddledan/one-script-wsl2-systemd
python3 -c "import configparser; config = configparser.ConfigParser(); config.read('/etc/wsl.conf'); config['boot']['command'] = \"/usr/bin/env -i... | true |
0bcd5f8a401825ebdef4bc23f11645c1c200fd68 | Shell | aur-archive/deutex | /PKGBUILD | UTF-8 | 587 | 2.578125 | 3 | [] | no_license | # Contributor: rabyte <rabyte.at.pen.dot.tj>
pkgname=deutex
pkgver=4.4.0
pkgrel=4
pkgdesc="A WAD file composer for Doom, Heretic, Hexen and Strife"
arch=('i686')
url="http://www.teaser.fr/~amajorel/deutex/"
license=('custom')
source=(http://www.teaser.fr/~amajorel/$pkgname/$pkgname-$pkgver.tar.gz)
md5sums=('4c4ea0ff9e... | true |
ab16568190e2d448e575f21eabaeec9f4bd521ba | Shell | BigNerd95/Grandstream-Firmware-HT802 | /FirmwareDumps/HT802-1.0.0.24/etc/rc.d/init.d/rcM | UTF-8 | 754 | 3.609375 | 4 | [] | no_license | #!/bin/sh
signal_exit()
{
#send signal that we are done
scripts_signal 0
if [ -n "$1" ]; then
exit $1
else
exit 0
fi
}
if [ $# -lt 1 ]; then
signal_exit 1
fi
CMD="$(echo $*|tr -s ' ')"
while [ -n "$CMD" ]
do
SCRIPT="$(echo $CMD|cut -d' ' -f1)"
case "$S... | true |
8e6c73eb3c56be94c6460ff9d49b404798a15801 | Shell | guudwu1986/settings | /script/gitconfig.sh | UTF-8 | 390 | 3.65625 | 4 | [] | no_license | #!/bin/bash
if [ ! -d "backup" ]
then
echo 'Backup directory must exist.'
exit 255
fi
current_time=$(date +%Y%m%d-%H%M%S)
if [ -f $HOME"/.gitconfig" ]
then
echo 'Existing file moved to backup directory.'
mv $HOME"/.gitconfig" backup/gitconfig-$current_time
fi
if [ -f "gitconfig" ]
then
ln -s $PWD/gitconfig... | true |
2de1d33caf0f442c62d81c60a6ba94a2532e949a | Shell | quiverteam/quiver-runtime | /fix_links.sh | UTF-8 | 362 | 3.9375 | 4 | [] | no_license | #!/bin/bash
NAMES="quiver-runtime-i386 quiver-runtime-amd64"
for NAME in $NAMES; do
[ -d $NAME ] || continue;
# Fixup all the symlinks
FILES=$(find ./$NAME -type l)
for file in $FILES; do
# Check if the link is borked
if [ ! -e "$file" ]; then
old=$(readlink $file)
ln -sfn $PWD/$NAME/$old $file
e... | true |
1ef309fc96f0edb2b7c849b55edf0d037fb89904 | Shell | jack141799/jenkins | /docker/bash/backup-to-hosting.sh | UTF-8 | 577 | 2.84375 | 3 | [] | no_license | #!/bin/bash
# Backup Nginx
\cp -fr /etc/php.ini /home/config/php.ini
\cp -fr /etc/nginx/nginx.conf /home/config/nginx/nginx.conf
\cp -fr /etc/nginx/sites-include/* /home/config/nginx/sites-include/
\cp -fr /etc/nginx/sites-enabled/* /home/config/nginx/sites-enabled/
# Backup supervisor
\cp -fr /etc/supervisord.con... | true |
7337078495b90e3eeb7bc8107402730352d83371 | Shell | viplezer/jenkins-install-scripts | /install_jenkins-nopretty.sh | UTF-8 | 967 | 2.78125 | 3 | [] | no_license | wget -q -O - https://jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add - && \
sudo sh -c 'echo deb http://pkg.jenkins-ci.org/debian binary/ > /etc/apt/sources.list.d/jenkins.list' && \
sudo apt-get update && \
sudo apt-get -y install openjdk-7-jdk maven libc6-i386 lib32stdc++6 lib32gcc1 lib32ncurses5 lib32z1 ... | true |
47fe2c0274057a80a96b97d3ed0547f366edb8ad | Shell | behdad/MINGW-packages | /mingw-w64-python-nose/PKGBUILD | UTF-8 | 2,433 | 2.953125 | 3 | [
"BSD-3-Clause"
] | permissive | # Maintainer: Alexey Pavlov <alexpux@gmail.com>
_realname=nose
pkgname=("${MINGW_PACKAGE_PREFIX}-python2-${_realname}" "${MINGW_PACKAGE_PREFIX}-python3-${_realname}")
pkgver=1.3.3
pkgrel=1
pkgdesc="A discovery-based unittest extension (mingw-w64)"
arch=('any')
license=('LGPL-2.1')
url="http://readthedocs.org/docs/nos... | true |
a417208666120b51560276dadcbd311cf3d817ba | Shell | unik-name/unn-core | /docker/uns-init.sh | UTF-8 | 3,589 | 3.75 | 4 | [
"MIT"
] | permissive | #!/bin/sh
NETWORK=${UNS_NET:-livenet} # default livenet
TOKEN="uns"
echo "network : $NETWORK"
echo "token : $TOKEN"
if [ "$NETWORK" == "livenet" ]; then
unlink /opt/uns/packages/core/bin/config/livenet/sandbox-plugins.js
cp /opt/uns/packages/core/bin/config/sandbox/plugins.js /opt/uns/packages/core/bin/config/li... | true |
50c7c3abaa59d8ace68419ce2bdf964db7c4a32b | Shell | TessHuelskamp/.myconf | /bin/copyloop | UTF-8 | 1,001 | 4.15625 | 4 | [] | no_license | #!/bin/bash
# place all lines of a file into copy paste buffer one by one
# I've wanted to do this a couple times, ¯\_(ツ)_/¯, so I wrote this
# only works on mac
# (I haven't learned how to mess with the paste buffer on other systems)
# should, in theory, be doable
# grab file name from command line args
# not deali... | true |
7b392340d6bd3824451228f1f29662e547bf9b00 | Shell | ggerade/_OLD_FleksySDK-compiled | /Scripts/buildReleaseArchive.sh | UTF-8 | 4,784 | 3.828125 | 4 | [] | no_license | #!/bin/sh
# If any command fails, cause the script to fail and exit with non-zero status.
set -e
# If any variable is used but unset, cause the script to fail and exit with non-zero status.
set -u
errorHandler () {
errorCode=$?
echo "$0:${BASH_LINENO[0]} error: Command failed: '$BASH_COMMAND'"
exit $error... | true |
9ab05c1d2c25cc2c309c610cdf334f0a31b3d56e | Shell | GBert/railroad | /mrsystem/src/client_gpios88/startmrgpios88 | UTF-8 | 412 | 3.0625 | 3 | [] | no_license | #!/bin/sh
GPIO_S88_KEY=gpio_s88
GPIO_S88_START=startmrgpios88
MRSYSTEM_CFG_FILE=/etc/mrsystem
MRSTART_CFG_FILE=/etc/mrstart
GPIO_S88_PARAM=`fgrep $GPIO_S88_KEY $MRSYSTEM_CFG_FILE | cut -f 2 -d "\""`
GPIO_S88_START=`fgrep $GPIO_S88_START MRSTART_CFG_FILE | cut -f 2 -d "\""`
if [ "x$GPIO_S88_START" = xstop" ] ; then
s... | true |
415ed3b1b9bcbdbceeb3b72418ef4da47a49c20b | Shell | gemlongman/MyNote | /sh/run-models.sh | UTF-8 | 2,896 | 3.296875 | 3 | [] | no_license | #!/bin/bash
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/gy/usr/Linux/64/gcc7/lib
MODEL_FOLD=./models
# /home/gy/share/workfile/shapnet/ShapeNetSemv0
# ./models
BIN=./scan_prediction
ICP_DIR=./shn_icp
SPHERE=./sphere-coarse.binary.obj
ReportFile=./report.txt
LOG_FILE=log.txt
OBJ=$1
function sum(){
input=($*)
... | true |
2abf3bd481771aa3b601034ba60af3b2cf18d110 | Shell | jiedo/coolreader-kindle-qt | /dist-kt/cr3/cr3.sh | UTF-8 | 1,239 | 3.34375 | 3 | [] | no_license | #!/bin/sh
if [ -z "$1" ] # No argument passed?
then
echo "Usage: qoqt.sh 'executable_file_name'" ;
return 1
fi
SAVE_DIR=`pwd`
cd /mnt/us/cr3
if [ ! -f "$1" ] # Check if file exists and it is a regular one
then
echo "goqt: "$1" -- regular file does not exist." ;
exit 1
fi
if [ ! -x "$1" ]
then
... | true |
485da22197d9d2c029c20619369a1ab12b7c64b0 | Shell | mionsan/Centos | /linux/zabbix/chk_innodb.sh | UTF-8 | 1,211 | 3.09375 | 3 | [] | no_license | #1/bin/bash
case $1 in
total)
echo "SELECT (PagesTotal*PageSize) DataMB FROM (SELECT variable_value PagesTotal FROM information_schema.global_status WHERE variable_name='INNODB_BUFFER_POOL_PAGES_TOTAL') A, (SELECT variable_value PageSize FROM information_schema.global_status WHERE variable_name='Innodb_page_size') ... | true |
9e00992e00d7f71c9afa1bda16614a42d7714da0 | Shell | frankielivada22/Rchat | /Rchat/StartChatServer/startserver.sh | UTF-8 | 2,765 | 3.90625 | 4 | [] | no_license | #!/bin/bash
# Colours
lgreen="\e[92m"
lred="\e[91m"
nc="\e[39m"
lyellow="\e[1;33m"
issslon=0
function exitprogram()
{
# This function exits the scripts using the trap command
echo ""
echo -e $lgreen"Aight bet..."
echo -e $lred"cya soon XD"
exit 0
}
function checkroot()
{
# This function checks to see if the us... | true |
e554940d12e33093eaa8de1170dba09561b75fc5 | Shell | crttcr/working-examples | /git/checkout.sh | UTF-8 | 206 | 2.65625 | 3 | [] | no_license | #!/bin/bash
## [Merge]
##
## Checkout the version of "file.a" from either
## the current branch (ours) or the branch being
## merged into the current branch (theirs)
##
git checkout --{ours,theirs} file.a
| true |
3781f62dd5b7efbd6e2c3dbf9cf5c59cf6d5a803 | Shell | rainly/scripts-1 | /behavior2hdfs.sh | UTF-8 | 1,255 | 3.421875 | 3 | [] | no_license | #!/bin/bash
## location: 10,dest=/data/crontab,owner=weiguo:sysadmin,mode=755
#dump all online logs to hdfs
# 将行为日志导 入到HDFS
## 2015-08-04
## 日志已经实时存储到10.1.1.60节点上
## 因此该脚本仅用来检查数据是否已经保存在
HDFS_BASEDIR="/backup/behaviour"
LOCAL_BASEDIR="/logs/bi_exp"
if [ -z $1 ];then
CURR_DAY=$(date -d "1 days ago" +"%Y-%m-%d")
else... | true |
857521b064f32201c3f4eecaa91a768f861e2421 | Shell | andyuk/animation-tests | /www/images/gen.sh | UTF-8 | 292 | 2.75 | 3 | [] | no_license | #!/bin/bash
# sh gen.sh 100x100 100
# sh gen.sh 400x400 400
# sh gen.sh 768x768 768
# sh gen.sh 1024x768 1024
dimensions=$1
outputDir=$2
for i in `seq 1 100`; do
`convert -size $dimensions -gravity center -background lightblue -fill black -pointsize 72 label:$i $outputDir/test$i.png`
done | true |
f33fa1b1aaab87c5428ead04ba3d49ca818e5e02 | Shell | oznogon/bygfoot | /bfscript/trunk/bfgetpot | UTF-8 | 216 | 2.515625 | 3 | [] | no_license | #!/bin/bash
. scripts.cfg
pushd $bygfoot_source
xgettext -c -d bygfoot -k_ --force-po -f po/POTFILES.in
mv bygfoot.po po/bygfoot.pot
pushd po
for i in *po; do
msgmerge -s -U $i bygfoot.pot
msgfmt -c $i
done
| true |
54545978ba5cdded0d17b3cfd1974273ebec6fc3 | Shell | jacoborus/dotfiles | /bootstrap.sh | UTF-8 | 4,056 | 3.96875 | 4 | [] | no_license | #!/bin/bash
# list of files to symlink and backup in homedir
FILES=".bashrc .tmux.conf .zshrc"
# list of files to backup in vim directory
VIMFILES="init.vim coc-settings.json general.vim plugin.vim plug.vim status.vim"
# list of files to symlink in vim directory
VIMINITFILES="plug.vim general.vim plugins.vim status.vi... | true |
27020342612f6e850ddcd167ebffffcbeee0d385 | Shell | Humm3r/azure-devops-utils | /quickstart_template/301-jenkins-k8s-blue-green.sh | UTF-8 | 4,893 | 3.953125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
function print_usage() {
cat <<EOF
https://github.com/Azure/azure-quickstart-templates/tree/master/301-jenkins-k8s-blue-green
Command
$0
Arguments
--app_id|-ai [Required] : Service principal app id used to dynamically manage resource in your subscription
--app_key|-ak ... | true |
27f83e67580840f9ff8836f1c98f0c9b625092eb | Shell | petronny/aur3-mirror | /xmppjs-hg/PKGBUILD | UTF-8 | 841 | 2.53125 | 3 | [] | no_license | # Packager: Emmanuel Gil Peyrot <linkmauve@linkmauve.fr>
pkgname=xmppjs-hg
pkgver=19
pkgrel=1
pkgdesc='xmpp.js is a server-side XMPP library for Node.js'
arch=('i686' 'x86_64')
provides=('xmppjs')
conflicts=('xmppjs')
url='http://xmppjs.prosody.im/'
license='MIT'
depends=('nodejs' 'node-xml')
makedepends=('mercurial')
... | true |
61eb649a11bdb632b7e9d502b101d8ebc0f404fc | Shell | threeworld/Security-baseline | /Linux/主机安全基线脚本/CIS-LBK/DEBIAN_FAMILY_LBK/functions/recommendations/nix_ensure_source_routed_packets_not_accepted.sh | UTF-8 | 5,557 | 3.234375 | 3 | [] | no_license | #!/usr/bin/env sh
#
# CIS-LBK Recommendation Function
# ~/CIS-LBK/functions/recommendations/nix_ensure_source_routed_packets_not_accepted.sh
#
# Name Date Description
# ------------------------------------------------------------------------------------------------
# Eric Pinnell 10/22/20 ... | true |
e6a51ac98df72ec2ee2bb9ee463a4b75d1c1fc07 | Shell | cnamejj/cli-tools | /check-repo-hash | UTF-8 | 263 | 2.984375 | 3 | [] | no_license | #!/bin/bash
rehash=( $(git ls-remote $(git config --get remote.origin.url) HEAD) )
lohash="$(git rev-parse HEAD)"
[ "${rehash%?HEAD}" = "${lohash}" ] && echo "up to date, both ${rehash%?HEAD}" || echo "version mismatch, local ${lohash} remote ${rehash%?HEAD}"
| true |
b70acd0af87748e41db7d929e1a4826494723ec5 | Shell | ViralChris/eDNA_metabarcoding | /01_scripts/obiannotate_unident.sh | UTF-8 | 1,012 | 3.578125 | 4 | [] | no_license | #!/bin/bash
# For LSU, annotate the '_unidentified.fq' files with sample IDs in the fasta header before concatenating all together
# The output will be $OUTPUT_FOLDER/merged_data_assi.fa
# Global variables
SAMPLE_FOLDER="04_samples"
OUTPUT_FOLDER="04b_annotated_samples"
# issue: if run twice, it will redo on top of ... | true |
6528d0b84a51bb8492e14033dcb43df0247bb983 | Shell | adegomme/quantum-mobile | /setup_ansible.sh | UTF-8 | 574 | 3.546875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -e
echo "### Parsing globalconfig.yml"
source other_stuff/yaml_parser.sh
eval $(parse_yaml globalconfig.yml)
# set up ssh config for ansible
vagrant ssh-config > vagrant-ssh
#sed -i"" "s/User vagrant/User ${vm_user}/g" vagrant-ssh
echo "### SSH config written to 'vagrant-ssh'"
echo "### Use e.g.: ssh ... | true |
438cd3929b077d89c181a098047c23103cf4833e | Shell | jpmenil/dotfiles | /.zshrc | UTF-8 | 183 | 2.765625 | 3 | [] | no_license | # -*- sh -*-
ZSH=${ZSH:-${ZDOTDIR:-$HOME}/.config/zsh}
() {
for config_file ($ZSH/rc/*.zsh) source $config_file
}
fpath=($ZSH/completions $ZSH/functions $fpath)
_jp_setprompt
| true |
c3ea0f19ae3601bc40e3bd3aeceb8fbe60f6e719 | Shell | cesar91/envasadoras | /shell_scripts/amex_shell.sh | WINDOWS-1250 | 1,656 | 3.078125 | 3 | [] | no_license | #!/bin/sh
#=====SHELL SCRIPT AMEX T&E======*
#==============SFTP==============*
#HOST="fsgateway.aexp.com"
#USER="MASNEGOCIO"
#PASS="msngco123" #autenticacin por medio de SSH KEY RSA
#==============Date==============*
DAY=$(date --date='today' +%Y%m%d)
DATE=$(date --date='today' +%m%d)
#==============Paths=============... | true |
18741bb41408aa3a0aaba9938ecb1dbe8fb9bf70 | Shell | dtbinh/jSAM | /anonymyze.sh | UTF-8 | 1,384 | 3.734375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
DST="anonymous"
GIT="git@github.com:anonc187/jCoCoA.git"
if [ -e "$DST" ]; then
echo "Target folder $DST already exists"
exit 1;
fi
# Clone git repository
git clone $GIT $DST
git -C $DST config user.name "Anon Y. Mous"
git -C $DST config user.email anon187c@gmail.com
# Remove all content so we also wil... | true |
0eb2b6ab213598ad17c46cfc5f028458ca598209 | Shell | djbarcelos/script-install-setup | /files/Data/custom installation/script_custom.sh | UTF-8 | 327 | 3.1875 | 3 | [] | no_license | #!/bin/bash
# --------------- Functions
test () {
for FILE in ../../../files/*; do
echo $FILE;
done
}
save () {
#tail -f /var/log/menssages > out
echo -n "Digitar nome: "
read name
echo $name >> ./out.txt
clear
echo $(cat ./out.txt)
}
# --------------- Main
main () {
clear
echo "custom install"
save
read aa
... | true |
a495d1da0327f4d0f3576bf475c5dd69e359cd37 | Shell | crdant/bootstrap-for-k8s | /bin/setup | UTF-8 | 4,688 | 3.53125 | 4 | [] | no_license | #! /usr/bin/env bash
set -euo pipefail
script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" > /dev/null 2>&1 && pwd)"
project_dir=${script_dir}/..
config_dir=${project_dir}/config
overlay_dir=${project_dir}/overlays
secrets_dir=${project_dir}/secrets
work_dir=${project_dir}/work
product_dir="${work_dir}/tanzu-application... | true |
9f80a077d33c87e7342f60c1c0c4faf83cda1e81 | Shell | mrworf/lr6-hacks | /movefiles.sh | UTF-8 | 671 | 4.1875 | 4 | [] | no_license | #!/bin/bash
SRC=$1
DST=$2
if [[ -z $SRC || -z $DST ]]; then
echo ""
echo "Usage: $0 <output from showfiles.sh> <new dir for extras>"
echo ""
exit 255
fi
if [ ! -d "${DST}" ]; then
mkdir -p "${DST}" || { echo "Cannot create $DST" ; exit 255 ; }
fi
echo "Moving files..."
while IFS="" read -r F || [ -n "$F" ]
do
... | true |
ef6d32b4fbb4ba1422a72dea44131c59c6a3ec67 | Shell | kooritea/electronic-wechat | /scripts/tar-all.sh | UTF-8 | 449 | 2.6875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
cd dist
echo 'Start compressing for Mac OS X.'
tar zcf 'mac-osx.tar.gz' 'Electronic WeChat-darwin-x64'
echo 'Compressing for Mac OS X succeed.'
echo 'Start compressing for Linux x64.'
tar zcf 'linux-x64.tar.gz' 'electronic-wechat-linux-x64'
echo 'Compressing for Linux x64 succeed.'
echo 'Start compressi... | true |
ca709ced530d680f85af65d7af7bd89b350afc82 | Shell | Evertcolombia/C_sample_programs_and_Scripts | /docker_examples/bin_mount.sh | UTF-8 | 496 | 3.1875 | 3 | [] | no_license | #!/bin/bash
#use the host filesystem and mount it on the container using -v flag with the run command.
sudo docker run -it -v <absolute_path>:<folder_path_or_new_folder_name> <image_name>
# To mount the file system as read-only, use ro flag.
sudo docker run -it -v <aboslute_path>:<folder_path_or_new_folder_name>:r... | true |
974eb28671c4597358c24906d34c1b8cdcbf2b14 | Shell | stivalaa/EstimNetDirected | /src/Random123-1.09/examples/gencl.sh | UTF-8 | 1,755 | 3.796875 | 4 | [] | permissive | #!/bin/sh
# Run the C preprocessor on an OpenCL kernel to generate a C string array
# suitable for clCreateProgramWithSource. This allows us to create
# standalone OpenCL programs that do not depend on paths to the source
# tree (the programs will still run the OpenCL run-time compiler to
# compile the kernel, but the... | true |
7416b57351e0758796e2e52364ae593b5a8545e9 | Shell | PowerVS-Actions/powervs-vms-age | /age.sh | UTF-8 | 4,005 | 3.84375 | 4 | [] | no_license | #!/bin/bash
: '
Copyright (C) 2021 IBM Corporation
Rafael Sene <rpsene@br.ibm.com> - Initial implementation.
'
# Trap ctrl-c and call ctrl_c()
trap ctrl_c INT
function ctrl_c() {
echo "Bye!"
exit 0
}
function check_dependencies() {
DEPENDENCIES=(ibmcloud curl sh wget jq)
check_connectivity
... | true |
b886e0799d2e36ae5c9cef53cd86b7519a3c619c | Shell | MW-autocat-script/MW-autocat-script | /catscripts/Entertainment/Video_games/Video_game_consoles/Sony/PlayStation2.sh | UTF-8 | 375 | 3.046875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
KEYWORDS_PS2="Play(| )Station(| )2|\bPS(| )2\b"
KEYWORDS_PS2_EXCLUDE="PS(| )2(| )(mouse|port|keyboard)"
KEYWORDS_PS2_ALL="$KEYWORDS_PS2"
if [ "$1" == "" ]; #Normal operation
then
debug_start "PlayStation 2"
PS2=$(egrep -i "$KEYWORDS_PS2" "$NEWPAGES" | egrep -iv "$KEYWORDS_PS2_EXCLUDE")
categorize... | true |
678e67ffc8910eb2fe762f4225b29204759201e2 | Shell | private-octopus/ithitools | /src/oneMonthM3.sh | UTF-8 | 775 | 3.25 | 3 | [
"MIT"
] | permissive | # !/bin/bash
pwd
cd /home/ubuntu
pwd
YEAR=$1
MM=$2
FIRST_DAY=$(date -d $YEAR-$MM-01 +%Y-%m-%d)
DATE=$(date -d $FIRST_DAY +%Y%m)
DAY_AFTER_MONTH=$(date -d "$FIRST_DAY +1 months" +%Y-%m-01)
LAST_DAY=$(date -d "$DAY_AFTER_MONTH -1 day" +%Y-%m-%d)
echo "First day: $FIRST_DAY"
echo "Day after month: $DAY_AFTER_MONTH"
echo "... | true |
88b603b278fad32dde78de820b890fe0aaf821f3 | Shell | phaer/kassomat-scripts | /install.sh | UTF-8 | 781 | 3.171875 | 3 | [] | no_license | #!/bin/bash
set -eu
dir=$(dirname $(readlink -f "$0"))
executables=(changeomatic.sh kassomat-maintenance.sh payout-log-less.sh payout-restart.sh kassomat-set-coin-levels.py payout-log-tail.sh)
echo $executables
echo "installing payout systemd unit file"
ln -svf ${dir}/payout.service /etc/systemd/system/payout.service... | true |
133e1a40b2dc4b5643c2b2d21805803fde3b8be5 | Shell | MasuodSamarin/sd2iec_utils | /create_autoswap.sh | UTF-8 | 562 | 4.09375 | 4 | [] | no_license | #!/bin/bash
#
# will search all sub folder in a given folder, and create an autoswap.lst file if more than one *.d64 is found
#
# usage:
# create_autoswap.sh folder
#
IFS=$(echo -en "\n\b") # take folders with ' ' as one entry
for DIR in $(find $1 -type d)
do
pushd "$DIR" >/dev/null
# create AUTOSWAP.LST
... | true |
c89d3bd8326650cc9149482ff6ec1caa84c6eb89 | Shell | mahmoodsheikh36/scripts | /view_audio_spectrum.sh | UTF-8 | 240 | 2.515625 | 3 | [] | no_license | # view_audio_spectrum.sh
# show audio spectrum using sox
random_str=$(head /dev/urandom | tr -dc A-Za-z0-9 | head -c 13)
sox --multi-threaded "$1" -n spectrogram -o /tmp/$random_str.png && sxiv /tmp/$random_str.png
rm /tmp/$random_str.png
| true |
7a3b671014467cd908c35c3bbc6695f05b424e27 | Shell | akhalitov/sandbox_old | /sandbox-template-update | UTF-8 | 2,108 | 3.75 | 4 | [] | no_license | #!/bin/bash
set -x;
if [ $# -eq 0 ]; then
echo "No arguments"
exit 0
fi
SandboxID=`printf "%02d" $1`
CONFIG=$2
if [ -e "/root/sandbox/status/$SandboxID" ];then
echo "sandbox status file /root/sandbox/status/$SandboxID exists"
exit 0
else
echo "status = NetworkSetting" >> /root/sandb... | true |
feec8e6e2ead98c609f56c54efd40910c91e49ce | Shell | Timoniche/PDBAnalyzer | /simba_scripts/renaming_pdbs.sh | UTF-8 | 263 | 2.890625 | 3 | [] | no_license | root_path="/Users/ddulaev/Documents/BioInformatics/SIMBA3D"
for (( i = 1; i < 22; i++))
do
dir_path_iter="${root_path}/examples/command_line_tutorial/results/chr${i}"
cd ${dir_path_iter}
for file in *.pdb; do
mv "$file" "Simba3d_chr${i}.pdb"
done
done | true |
41521746507b4fc5e7fa3d92b2ceb29c1267b315 | Shell | ajrouvoet/symmetry | /collect.sh | UTF-8 | 1,943 | 3.484375 | 3 | [] | no_license | #!/bin/bash
OUTDIR=./data/
REF=`git rev-parse HEAD`
TIMEOUT_IN=900
OPTS="-no-inverting-opt -activity-look-freq=1"
#-no-inverting-opt
#-no-inverting-opt -activity-nl-freq=1
#-no-inverting-opt -sym-var-bump
#-no-inverting-opt -sym-usage-var-bump"
echo "$OPTS" | while read opt
do
echo "---------------------------... | true |
b3306e575414a3bc2396504e8339770d548fac52 | Shell | zubatyuk/lxc-viz-cluster | /setup-server-common | UTF-8 | 651 | 2.6875 | 3 | [] | no_license | #!/bin/bash
#apt proxy
echo 'Acquire::http::proxy "http://aptproxy:3142";' > /etc/apt/apt.conf.d/02proxy
echo 'Acquire::https::proxy "http://approxy:3142";' >> /etc/apt/apt.conf.d/02proxy
#clean apt cache since we use apt-proxy-ng
cat > /etc/cron.hourly/apt-clean << EOF
#!/bin/bash
apt-get clean
EOF
chmod +x /etc/cro... | true |
bf5ab3a7ef976c1c36a6123879b9871bd2a8d0bc | Shell | Findus23/Umweltdatenmessung | /main.sh | UTF-8 | 6,239 | 3.1875 | 3 | [] | no_license | #!/bin/bash
PFAD="/var/www/" #Pfad zum Web-Verzeichnis
r=0 # Backup-Zahl auf Null setzen
IFS="; " #Spezial-Variable - enthält Trennzeichen zum Trennen von Luftdruck und -temperatur
re='^[0-9]+$' # Regulärer Ausdruck, ob Variable eine Zahl ist
pushbullet_api_key=$(cat /home/pi/Temperaturmessung/Fremddateien/pushbullet_s... | true |
3a85516f5c56165df71b5314e82d7ffa85e92c68 | Shell | josephthweatt/Fulton-Furnace-Hackathon | /interfaces/admin | UTF-8 | 1,226 | 3.40625 | 3 | [] | no_license | #!/bin/bash
#get the directory where the script was executed
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
clear
echo "Welcome back, admin: "
echo
PS3='What do you want to do? (Enter 6 for menu) '
options=("Log Inventory" "Log rate of consumption" "View VATS suggestions"
"View community alerts" "Vi... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.